# Interface IAnalyticsFacetState

Describes the current condition of a single dynamic facet value.

## Index

### Properties

- displayValue
- end
- endInclusive
- facetType
- field
- id
- start
- state
- title
- value
- valuePosition

## Properties

### Optional displayValue

displayValue: string

- Defined in ui/Analytics/IAnalyticsFacetState.ts :61

The custom display name of the dynamic facet value that was interacted with.

Example: `Alice R. Smith`

### Optional end

end: string

- Defined in ui/Analytics/IAnalyticsFacetState.ts :47

The maximum value of the dynamic range facet value.

Examples:

> - `500`
> - `2018-12-31T23:59:59.999Z`

### Optional endInclusive

endInclusive: boolean

- Defined in ui/Analytics/IAnalyticsFacetState.ts :51

Whether the `end` value is included in the dynamic range facet value.

### Optional facetType

facetType: FacetType

- Defined in ui/Analytics/IAnalyticsFacetState.ts :65

The type of values displayed in the dynamic facet.

### field

field: string

- Defined in ui/Analytics/IAnalyticsFacetState.ts :13

The name of the field the dynamic facet displaying the value is based on.

Example: `author`

### id

id: string

- Defined in ui/Analytics/IAnalyticsFacetState.ts :19

The unique identifier of the dynamic facet displaying the value.

Example: `author`

### Optional start

start: string

- Defined in ui/Analytics/IAnalyticsFacetState.ts :39

The minimum value of the dynamic range facet value.

Examples:

> - `0`
> - `2018-01-01T00:00:00.000Z`

### Optional state

state: FacetValueState

- Defined in ui/Analytics/IAnalyticsFacetState.ts :69

The new state of the dynamic facet value that was interacted with.

### title

title: string

- Defined in ui/Analytics/IAnalyticsFacetState.ts :25

The title of the dynamic facet.

Example: `Author`

### Optional value

value: string

- Defined in ui/Analytics/IAnalyticsFacetState.ts :31

The original name (i.e., field value) of the dynamic facet value.

Example: `alice_r_smith`

### Optional valuePosition

valuePosition: number

- Defined in ui/Analytics/IAnalyticsFacetState.ts :55

The current 1-based position of the dynamic facet value, relative to other values in the same dynamic facet.

### Hierarchy

- IAnalyticsFacetState